Adobe apps on parallels desktop Mac M1

Discussion in 'Parallels Desktop for M Series Mac' started by LoPera, Jul 24, 2022.

  1. LoPera

    LoPera Bit Poster

    Messages:
    1
    Hello,

    I'm trying to download After Effects on Win11, but I can't figure out if it's possible.
    I first tried with creative cloud, after installing it, only two applications appear as downloadable: Photoshop and Lightroom (note that I have all Adobe applications with my subscription).
    upload_2022-7-24_18-19-21.png

    I also tried to download it via the online creative cloud, but I got this message: After Effects is not yet available for your device.
    upload_2022-7-24_18-7-25.png

    I then tried to install it with an external installer, but I got this message: The operating system does not have the minimum system requirements for this installer. {0} is the minimum system requirement for the installation. (Error code: 21)
    upload_2022-7-24_18-11-5.png

    So if anyone has any idea how to get around these error messages or how I can install After Effects on Parallels, that would be great!
    Thanks for your help :)
     
  2. AlistairD

    AlistairD

    Messages:
    1
    I have just had a conversation with Adobe support. They confirm that most Creative Cloud applications will NOT install under a virtual machine on a Mac M1, the only exceptions being the Creative Cloud desktop utility, Photoshop and Lightroom.

    After Effects, Premiere Pro, Illustrator and InDesign will not install. I asked for the direct downloads so I could try to circumvent whatever the CC desktop app might be doing, but I can confirm that these individual installers will not run either.
     
  3. YoshioH

    YoshioH

    Messages:
    1
    I have exactly the same problem and I wonder why.
    Any solution ? Anyone tried Parallels 18 ?
     
  4. BenW18

    BenW18

    Messages:
    1
    I'm also having this issue and can confirm that you still cannot install adobe programs in Parallels 18. this is a real issue and something that needs to be fixed asap. The main reason for me getting an M1 Macbook was so I could run Windows with Parallels and have all my cracked windows adobe programs and plugins working on a portable device with good battery life.
     
  5. MarcoU1

    MarcoU1 Bit Poster

    Messages:
    1
    I'm facing the same issue. I can't install Illustrator 2022 on my M2 Macbook running Parallels 18. Hope that this problem will be solved soon
     
  6. zeni

    zeni Bit Poster

    Messages:
    1
    same issue here tried to install any of those adobe cc apps getting an "error 21..minimum system requirement not met thing".
    why's this?
    im using an m2 mba with 16gbs ram and 512 for storage and freeing at least 6gbs of memory just to be sure while windows 11 with parallels 18 is running on background.
     

Share This Page